package Model;

import java.util.UUID;

public class Habit {
    private String habitId;
    private String userId;
    private String habitName;
    private String time;

    public Habit(String userId, String habitName, String time) {
        this.habitId = UUID.randomUUID().toString();
        this.userId = userId;
        this.habitName = habitName;
        this.time = time;
    }

    //second constructor for fetching habits
    public Habit(String name, String time) {
        this.habitName = name;
        this.time = time;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public void setHabitName(String habitName) {
        this.habitName = habitName;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getHabitId() {
        return habitId;
    }

    public String getUserId() {
        return userId;
    }

    public String getHabitName() {
        return habitName;
    }

    public String getTime() { return time; }
}
